<?php

class Newrus_Config
{
    const VOD_MOVIE_PAGE_SUPPORTED = true;
    const VOD_FAVORITES_SUPPORTED  = true;
    const TV_FAVORITES_SUPPORTED   = true;

    const TV_CHANNEL_ICON_PATH   = 'plugin_file://icons/channels/';
    const TV_CHANNEL_GROUP_ICON_PATH   = 'plugin_file://icons/tv_groups/';
    const VOD_GROUP_ICON_PATH   = 'plugin_file://icons/vod_groups/';
    const MAIN_GROUP_ICON_PATH   = 'plugin_file://icons/';
    const ALL_CHANNEL_GROUP_CAPTION     = 'Все каналы';
    const ALL_CHANNEL_GROUP_ICON_PATH   = 'plugin_file://icons/tv_groups/all_tv.png';

    const FAV_CHANNEL_GROUP_CAPTION     = 'Избранное';
    const FAV_CHANNEL_GROUP_ICON_PATH   = 'plugin_file://icons/tv_groups/fav_tv.png';

    const FAV_MOVIES_CATEGORY_CAPTION   = 'Избранное';
    const FAV_MOVIES_CATEGORY_ICON_PATH = 'plugin_file://icons/vod_groups/fav.png';

    const ARCHIVE_URL = 'http://api.new-rus.tv/_logos/duneLogos/CACHE_NEWRUS';
    ///////////////////////////////////////////////////////////////////////
    // Folder views.

   public static function GET_MAIN_GROUP_LIST_FOLDER_VIEWS()
    {
        return array(
            array
            (
                PluginRegularFolderView::async_icon_loading => true,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 3,
                    ViewParams::num_rows => 1,
                    ViewParams::paint_details => false,
                    ViewParams::paint_sandwich => false,
                    #ViewParams::sandwich_base => 'gui_skin://special_icons/sandwich_base.aai',
                    #ViewParams::sandwich_mask => 'cut_icon://{name=sandwich_mask}',
                    #ViewParams::sandwich_cover => 'cut_icon://{name=sandwich_cover}',
                    #ViewParams::sandwich_width => 480,
                    #ViewParams::sandwich_height => 319,
                    ViewParams::item_width => 480,
                    ViewParams::item_height => 319,
                    ViewParams::sandwich_icon_upscale_enabled => true,
                    ViewParams::sandwich_icon_keep_aspect_ratio => false,
                    ViewParams::paint_icon_selection_box => false,
                    #ViewParams::paint_help_line => true,
                    #ViewParams::paint_icon_badge_box => true,
                    #ViewParams::paint_path_box => true,
                    ViewParams::background_path=> 'plugin_file://icons/background.png',
                    ViewParams::paint_path_box => true,
                     ViewParams::background_x => 0,
                     ViewParams::background_y => 0,
                    ViewParams::background_height=> 1080,
                    ViewParams::background_width=> 1920,
                      ViewParams::background_order => 1,
                    ViewParams::paint_content_box_background => false,
                    ViewParams::optimize_full_screen_background => true,


                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => VALIGN_CENTER,
                    ViewItemParams::icon_valign => HALIGN_CENTER,
                    ViewItemParams::item_paint_caption => false,
                    ViewItemParams::icon_scale_factor => 1.0,
                    ViewItemParams::icon_sel_scale_factor => 1.0,
                    #ViewItemParams::icon_dx => -0,
                    #ViewItemParams::icon_dy => -5,
                    ViewItemParams::icon_width => 480,
                    ViewItemParams::icon_height => 319,
                    ViewItemParams::icon_sel_width => 480,
                    ViewItemParams::icon_sel_height => 319,
      		    ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png',
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array (),
            ),

            array
            (
                PluginRegularFolderView::async_icon_loading => true,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 3,
                    ViewParams::num_rows => 1,
                    ViewParams::paint_details => false,
                    ViewParams::paint_sandwich => true,
                    #ViewParams::sandwich_base => 'gui_skin://special_icons/sandwich_base.aai',
                    ViewParams::sandwich_mask => 'cut_icon://{name=sandwich_mask}',
                    ViewParams::sandwich_cover => 'cut_icon://{name=sandwich_cover}',
                    ViewParams::sandwich_width => 200,
                    ViewParams::sandwich_height => 160,
                    ViewParams::background_path=> 'plugin_file://icons/main_groups/background.png',
                    ViewParams::paint_path_box => true,
                     ViewParams::background_x => 0,
                     ViewParams::background_y => 0,
                    ViewParams::background_height=> 1080,
                    ViewParams::background_width=> 1920,
                      ViewParams::background_order => 1,
                    ViewParams::paint_content_box_background => true,
                    ViewParams::optimize_full_screen_background => true,
                    ViewParams::sandwich_icon_upscale_enabled => true,
                    ViewParams::sandwich_icon_keep_aspect_ratio => true,
                    ViewParams::paint_icon_selection_box => false,
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_CENTER,
                    ViewItemParams::icon_valign => HALIGN_LEFT,
                    ViewItemParams::item_paint_caption => false,
                    ViewItemParams::icon_scale_factor => 1.0,
                    ViewItemParams::icon_sel_scale_factor => 1.0,
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array (),
            ),
        );
    }






    public static function GET_TV_GROUP_LIST_FOLDER_VIEWS()
     {
        return array(
            array
            (
                PluginRegularFolderView::async_icon_loading => false,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 4,
                    ViewParams::num_rows => 3,
                    ViewParams::paint_details => false,
                    ViewParams::paint_sandwich => false,
                    #ViewParams::sandwich_base => 'gui_skin://special_icons/sandwich_base.aai',
                    #ViewParams::sandwich_mask => 'cut_icon://{name=sandwich_mask}',
                    #ViewParams::sandwich_cover => 'cut_icon://{name=sandwich_cover}',
                    #ViewParams::sandwich_width => 245,
                    #ViewParams::sandwich_height => 140,
                    ViewParams::sandwich_icon_upscale_enabled => true,
                    ViewParams::sandwich_icon_keep_aspect_ratio => true,
                    ViewParams::paint_icon_selection_box => false,
                    #ViewParams::paint_help_line => true,
                    #ViewParams::paint_icon_badge_box => true,
                    #ViewParams::paint_path_box => true,
                    ViewParams::paint_content_box_background => true,
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_CENTER,
                    ViewItemParams::icon_valign => HALIGN_CENTER,
                    ViewItemParams::item_paint_caption => false,
                    ViewItemParams::icon_scale_factor => 0.95,
                    ViewItemParams::icon_sel_scale_factor => 1.15,
                    ViewItemParams::icon_width => 250,
                    ViewItemParams::icon_height => 250,
		    ViewItemParams::item_paint_caption => true,
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array (),
            ),

            array
            (
                PluginRegularFolderView::async_icon_loading => false,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 5,
                    ViewParams::num_rows => 3,
                    ViewParams::paint_details => false,
                    ViewParams::paint_sandwich => false,
                    #ViewParams::sandwich_base => 'gui_skin://special_icons/sandwich_base.aai',
                    #ViewParams::sandwich_mask => 'cut_icon://{name=sandwich_mask}',
                    #ViewParams::sandwich_cover => 'cut_icon://{name=sandwich_cover}',
                    #ViewParams::sandwich_width => 245,
                    #ViewParams::sandwich_height => 140,
                    #ViewParams::background_path=> 'plugin_file://icons/background.png',
                    ViewParams::paint_icon_selection_box => false,
                    ViewParams::paint_path_box => true,
                    ViewParams::paint_content_box_background => true,
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_CENTER,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::item_paint_caption => false,
                    ViewParams::paint_icon_selection_box => false,
                    ViewItemParams::icon_scale_factor => 0.9,
                    ViewItemParams::icon_sel_scale_factor => 1.1,
                    ViewItemParams::icon_width => 250,
                    ViewItemParams::icon_height => 250,
		    ViewItemParams::item_paint_caption => true,
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array (),
            ),
        );
    }


    public static function GET_TV_CHANNEL_LIST_FOLDER_VIEWS()
    {
        return array(
            array
            (
                PluginRegularFolderView::async_icon_loading => false,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 4,
                    ViewParams::num_rows => 3,
                    ViewParams::paint_details => false,
                    ViewParams::paint_sandwich => true,
                    ViewParams::sandwich_base => 'gui_skin://special_icons/sandwich_base.aai',
                    ViewParams::sandwich_mask => 'cut_icon://{name=sandwich_mask}',
                    ViewParams::sandwich_cover => 'cut_icon://{name=sandwich_cover}',
                    ViewParams::sandwich_width => 245,
                    ViewParams::sandwich_height => 98,
		    #ViewParams::sandwich_icon_keep_aspect_ratio => true,
                    #ViewParams::background_path=> 'plugin_file://icons/background.png',
                    ViewParams::paint_path_box => true,
                     ViewParams::background_x => 0,
                     ViewParams::background_y => 0,
                    ViewParams::background_height=> 1080,
                    ViewParams::background_width=> 1920,
                      ViewParams::background_order => 1,
		    ViewParams::sandwich_icon_keep_aspect_ratio => true,
                    ViewParams::paint_content_box_background => true,
                    ViewParams::optimize_full_screen_background => true,
                    ViewParams::sandwich_icon_upscale_enabled => true,
                    ViewParams::sandwich_icon_keep_aspect_ratio => true,
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_CENTER,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::item_paint_caption => true,
                    ViewItemParams::icon_scale_factor => 1.25,
                    ViewItemParams::icon_sel_scale_factor => 1.5,
                    ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png',
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array (),
            ),

            array
            (
                PluginRegularFolderView::async_icon_loading => true,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 3,
                    ViewParams::num_rows => 10,
                    ViewParams::paint_details => true,
                    #ViewParams::background_path=> 'plugin_file://icons/background.png',
                    ViewParams::paint_path_box => true,
                     ViewParams::background_x => 0,
                     ViewParams::background_y => 0,
                    ViewParams::background_height=> 1080,
                    ViewParams::background_width=> 1920,
                      ViewParams::background_order => 1,
                    ViewParams::paint_content_box_background => true,
                    ViewParams::optimize_full_screen_background => true,
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_LEFT,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::icon_dx => 10,
                    ViewItemParams::icon_dy => -5,
                    ViewItemParams::icon_width => 95,
                    ViewItemParams::icon_height => 50,
                    ViewItemParams::item_caption_width => 265,
                    ViewItemParams::item_caption_font_size => FONT_SIZE_SMALL,
                    #ViewItemParams::item_caption_dy => HALIGN_RIGHT,
                    ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png',
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array
                (
                    ViewItemParams::icon_path => 'plugin_file://icons/mov_unset.png',
                    ViewItemParams::item_detailed_icon_path => 'missing://',
                ),
            ),

            array
            (
                PluginRegularFolderView::async_icon_loading => false,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 5,
                    ViewParams::num_rows => 5,
                    ViewParams::paint_details => false,
                    ViewParams::paint_sandwich => true,
                    ViewParams::sandwich_base => 'gui_skin://special_icons/sandwich_base.aai',
                    ViewParams::sandwich_mask => 'cut_icon://{name=sandwich_mask}',
                    ViewParams::sandwich_cover => 'cut_icon://{name=sandwich_cover}',
                    ViewParams::sandwich_width => 245,
                    ViewParams::sandwich_height => 98,
                    #ViewParams::background_path=> 'plugin_file://icons/background.png',
                    ViewParams::paint_path_box => true,
                     ViewParams::background_x => 0,
                     ViewParams::background_y => 0,
                    ViewParams::background_height=> 1080,
                    ViewParams::background_width=> 1920,
                      ViewParams::background_order => 1,
                    ViewParams::paint_content_box_background => true,
                    ViewParams::optimize_full_screen_background => true,
                    ViewParams::sandwich_icon_upscale_enabled => true,
                    ViewParams::sandwich_icon_keep_aspect_ratio => false,
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_CENTER,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::item_paint_caption => false,
                    ViewItemParams::icon_scale_factor => 1.0,
                    ViewItemParams::icon_sel_scale_factor => 1.2,
                    ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png'
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array (),
            ),


            array
            (
                PluginRegularFolderView::async_icon_loading => false,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 4,
                    ViewParams::num_rows => 5,
                    ViewParams::paint_details => false,
                    ViewParams::paint_sandwich => true,
                    ViewParams::sandwich_base => 'gui_skin://special_icons/sandwich_base.aai',
                    ViewParams::sandwich_mask => 'cut_icon://{name=sandwich_mask}',
                    ViewParams::sandwich_cover => 'cut_icon://{name=sandwich_cover}',
                    ViewParams::sandwich_width => 245,
                    ViewParams::sandwich_height => 98,
                    #ViewParams::background_path=> 'plugin_file://icons/background.png',
                    ViewParams::paint_path_box => true,
                     ViewParams::background_x => 0,
                     ViewParams::background_y => 0,
                    ViewParams::background_height=> 1080,
                    ViewParams::background_width=> 1920,
                      ViewParams::background_order => 1,
                    ViewParams::paint_content_box_background => true,
                    ViewParams::optimize_full_screen_background => true,
                    ViewParams::sandwich_icon_upscale_enabled => true,
                    ViewParams::sandwich_icon_keep_aspect_ratio => true,
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_CENTER,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::item_paint_caption => false,
                    ViewItemParams::icon_scale_factor => 1.0,
                    ViewItemParams::icon_sel_scale_factor => 1.2,
                    ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png',
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array (),
            ),

            array
            (
                PluginRegularFolderView::async_icon_loading => false,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 3,
                    ViewParams::num_rows => 4,
                    ViewParams::paint_details => false,
                    ViewParams::paint_sandwich => true,
                    ViewParams::sandwich_base => 'gui_skin://special_icons/sandwich_base.aai',
                    ViewParams::sandwich_mask => 'cut_icon://{name=sandwich_mask}',
                    ViewParams::sandwich_cover => 'cut_icon://{name=sandwich_cover}',
                    ViewParams::sandwich_width => 245,
                    ViewParams::sandwich_height => 98,
                    #ViewParams::background_path=> 'plugin_file://icons/background.png',
                    ViewParams::paint_path_box => true,
                     ViewParams::background_x => 0,
                     ViewParams::background_y => 0,
                    ViewParams::background_height=> 1080,
                    ViewParams::background_width=> 1920,
                      ViewParams::background_order => 1,
                    ViewParams::paint_content_box_background => true,
                    ViewParams::optimize_full_screen_background => true,
                    ViewParams::sandwich_icon_upscale_enabled => true,
                    ViewParams::sandwich_icon_keep_aspect_ratio => true,
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_CENTER,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::item_paint_caption => false,
                    ViewItemParams::icon_scale_factor => 1.25,
                    ViewItemParams::icon_sel_scale_factor => 1.5,
                    ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png',
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array (),
            )
        );
    }


    public static function GET_VOD_CAT_LIST_FOLDER_VIEWS()
    {
        return array(
            array
            (
                PluginRegularFolderView::async_icon_loading => false,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 3,
                    ViewParams::num_rows => 7,
                    ViewParams::paint_details => true,
                    ViewParams::paint_sandwich => false,
                    ViewParams::paint_content_box_background => true,
		    ViewParams::paint_icon_selection_box => false,
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_LEFT,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::icon_width => 70,
                    ViewItemParams::icon_height => 70,
                    ViewItemParams::icon_dx => 10,
                    ViewItemParams::icon_dy => -5,
                    ViewItemParams::item_paint_caption => true,
                    ViewItemParams::item_caption_width => 290,
                    ViewItemParams::icon_scale_factor => 1.0,
                    ViewItemParams::icon_sel_scale_factor => 0.4,
                    ViewItemParams::icon_dy => -10,
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array (),
            ),
            array
            (
                PluginRegularFolderView::async_icon_loading => false,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 5,
                    ViewParams::num_rows => 3,
                    ViewParams::paint_details => false,
                    ViewParams::paint_sandwich => false,
                    ViewParams::paint_content_box_background => true,
		    ViewParams::paint_icon_selection_box => false,
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_CENTER,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::icon_width => 200,
                    ViewItemParams::icon_height => 200,
                    ViewItemParams::item_paint_caption => true,
                    ViewItemParams::icon_scale_factor => 1.0,
                    ViewItemParams::icon_sel_scale_factor => 1.2,
                    ViewItemParams::icon_dy => -10,
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array (),
            ),
        );
    }
    public static function GET_VOD_MOVIE_LIST_FOLDER_VIEWS()
    {
        return array(
            array
            (
                PluginRegularFolderView::async_icon_loading => true,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 6,
                    ViewParams::num_rows => 3,
                    ViewParams::icon_selection_box_width => 150,
                    ViewParams::icon_selection_box_height => 222,
                    ViewParams::paint_details => true,
                    ViewParams::zoom_detailed_icon => false,
                    ViewParams::detailed_icon_scale_factor => 2.0,
                    ViewParams::paint_sandwich => true,
                    ViewParams::sandwich_base => 'gui_skin://special_icons/sandwich_base.aai',
                    ViewParams::sandwich_mask => 'cut_icon://{name=sandwich_mask}',
                    ViewParams::sandwich_cover => 'cut_icon://{name=sandwich_cover}',
                    ViewParams::sandwich_width => 150,
                    ViewParams::sandwich_height => 222,
                    ViewParams::paint_path_box => true,
                    ViewParams::paint_content_box_background => true,
		    ViewParams::sandwich_icon_upscale_enabled => true,
                    ViewParams::sandwich_icon_keep_aspect_ratio => true,
                    ViewParams::zoom_detailed_icon => true,
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_padding_top => 0,
                    ViewItemParams::item_padding_bottom => 0,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::item_paint_caption => false,
                    ViewItemParams::icon_scale_factor => 1.0,
                    ViewItemParams::icon_sel_scale_factor => 1.1,
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array
                (
                    ViewItemParams::icon_path => 'plugin_file://icons/mov_unset.png',
                    ViewItemParams::item_detailed_icon_path => 'missing://',
                ),
            ));
    }
    public static function GET_VOD_CATEGORY_LIST_FOLDER_VIEWS()
    {
        return array(
            array
            (
                PluginRegularFolderView::async_icon_loading => false,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 4,
                    ViewParams::num_rows => 2,
                    ViewParams::paint_details => false,
                    ViewParams::paint_sandwich => false,
		    ViewParams::paint_icon_selection_box => false,
                    #ViewParams::sandwich_base => 'gui_skin://special_icons/sandwich_base.aai',
                    #ViewParams::sandwich_mask => 'cut_icon://{name=sandwich_mask}',
                    #ViewParams::sandwich_cover => 'cut_icon://{name=sandwich_cover}',
                    #ViewParams::sandwich_width => 245,
                    #ViewParams::sandwich_height => 140,
                    ViewParams::paint_content_box_background => true,
                    #ViewParams::sandwich_icon_upscale_enabled => true,
                    #ViewParams::sandwich_icon_keep_aspect_ratio => true,
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_CENTER,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::icon_width => 250,
                    ViewItemParams::icon_height => 250,
                    ViewItemParams::item_paint_caption => true,
                    ViewItemParams::icon_scale_factor => 1.0,
                    ViewItemParams::icon_sel_scale_factor => 1.2,
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array (),
            ),
            array
            (
                PluginRegularFolderView::async_icon_loading => false,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 4,
                    ViewParams::num_rows => 3,
                    ViewParams::paint_details => false,
                    ViewParams::paint_sandwich => false,
		    ViewParams::paint_icon_selection_box => false,
                    #ViewParams::sandwich_base => 'gui_skin://special_icons/sandwich_base.aai',
                    #ViewParams::sandwich_mask => 'cut_icon://{name=sandwich_mask}',
                    #ViewParams::sandwich_cover => 'cut_icon://{name=sandwich_cover}',
                    #ViewParams::sandwich_width => 250,
                    #ViewParams::sandwich_height => 140,
                    ViewParams::paint_content_box_background => true,
                    ViewParams::optimize_full_screen_background => true,
                    #ViewParams::sandwich_icon_upscale_enabled => true,
                    #ViewParams::sandwich_icon_keep_aspect_ratio => true,
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_CENTER,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::icon_width => 250,
                    ViewItemParams::icon_height => 250,
                    ViewItemParams::item_paint_caption => true,
                    ViewItemParams::icon_scale_factor => 0.9,
                    ViewItemParams::icon_sel_scale_factor => 1.1,
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array (),
            ),

        );
    }

}

?>
